import sqlite3
import os

if os.path.isfile("database.db"):
 os.remove("database.db")

conn = sqlite3.connect("database.db") 
db = conn.cursor()

db.execute("""CREATE TABLE books( 
        bookID INTEGER PRIMARY KEY, 
        author_firstname TEXT,
        author_surname TEXT,
        title TEXT, 
        year INTEGER, 
        publisher TEXT)""")

db.execute("INSERT INTO books VALUES (1,'Joanne','Rowling',\
'Harry Potter and the Order of the Phoenix', 2003,'Bloomsbury')")

conn.commit()
conn.close()



