import sqlite3
import os

def print_table(sql):
 conn = sqlite3.connect("database.db") 
 db = conn.cursor()
 db.execute(sql) 
 all_rows = db.fetchall() 
 for row in all_rows: 
  for i in row: 
   print(i, end=' | \t')
  print() 
 print()
 conn.commit()
 conn.close()

if os.path.isfile("database.db"):
    os.remove("database.db")

conn = sqlite3.connect("database.db") 
db = conn.cursor()

db.execute("""CREATE TABLE books( 
        bookID INTEGER PRIMARY KEY, 
        author_firstname TEXT,
        author_surname TEXT,
        title TEXT, 
        year INTEGER, 
        publisher TEXT)""")

db.execute("""INSERT INTO books VALUES (1,'Joanne','Rowling',
'Harry Potter and the Order of the Phoenix', 2003,'Bloomsbury')""")

db.execute("""INSERT INTO books (bookID,author_firstname,author_surname,title,year,publisher)
 VALUES (2,'Michael Morpurgo','War Horse',1982,'HarperCollins')"""); 

db.execute("""INSERT INTO books (bookID,author_firstname,author_surname,,title,year,publisher) 
 VALUES (NULL,'Michael Morpurgo','Private Peaceful', 2003,'HarperCollins')"""); 

author_surname="Dahl" 
title="The BFG" 
publisher="Penguin"
year=1982
db.execute("""INSERT INTO books(bookID,author_surname,title,year,publisher)
VALUES (NULL,?,?,?,?)""",(author_surname,title,year,publisher));

db.execute("UPDATE books SET year=1982 WHERE author='Roald Dahl'") 
db.execute("DELETE FROM books WHERE author='Joanne'")

conn.commit()
conn.close()

sql="SELECT * FROM books" 
print_table(sql)

